[xiph-cvs] cvs commit: ao autogen.sh
Ralph Giles
giles at xiph.org
Fri Oct 31 03:38:52 PST 2003
giles 03/10/31 06:38:52
Modified: . autogen.sh
Log:
Propagate 'glibtoolize' fallback for MacOS X support.
Revision Changes Path
1.6 +19 -7 ao/autogen.sh
Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/ao/autogen.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- autogen.sh 31 Jul 2003 15:34:52 -0000 1.5
+++ autogen.sh 31 Oct 2003 11:38:50 -0000 1.6
@@ -1,6 +1,6 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-# (basically ripped directly from enlightenment's autogen.sh)
+# Run this to set up the build system: configure, makefiles, etc.
+# (based on the version in enlightenment's cvs)
package="libao"
@@ -11,6 +11,7 @@
cd "$srcdir"
DIE=0
+echo "checking for autoconf... "
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $package."
@@ -19,19 +20,30 @@
DIE=1
}
+echo "checking for automake... "
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $package."
- echo "Download the appropriate package for your system,
+ echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
}
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+echo -n "checking for libtool... "
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+ (which $LIBTOOLIZE) > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+ echo "nope."
+ LIBTOOLIZE=libtoolize
+else
+ echo $LIBTOOLIZE
+fi
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
- echo "Download the appropriate package for your system,
+ echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
@@ -52,8 +64,8 @@
aclocal $ACLOCAL_FLAGS
#echo " autoheader"
#autoheader
-echo " libtoolize --automake"
-libtoolize --automake
+echo " $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake
echo " automake --add-missing $AUTOMAKE_FLAGS"
automake --add-missing $AUTOMAKE_FLAGS
echo " autoconf"
<p><p>--- >8 ----
List archives: http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body. No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.
More information about the commits
mailing list